Default Need MK2 modem

well like some of you know that if you are in 4.3, or 4.2.2 and downgrade the baseband mk2 or mja to mdc to unlock, you will loose sound and can make calls because the dialer crashes, so there is anyone who can just post the mk2 modem? or what i have to do? thank you so much for your help